# RSL_get_closest_sweep

### Synopsis

#include "rsl.h"
Sweep *RSL_get_closest_sweep(Volume *v,float sweep_angle,float limit);

###

Description

Return the closest sweep within a volume. Closeness is determined by the minimum absolute difference of sweep_angle and the elevation angle of the ray. The difference must be less than limit. If no such ray can be found, return NULL.

### Return value

Upon successful completion, a pointer to the Sweep structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_sweep

Author: Dennis Flanigan Jr.